Bug 195819 - pessulus: useless debuginfo package - should be noarch?
pessulus: useless debuginfo package - should be noarch?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pessulus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 03:51 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.10.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 15:12:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-06-18 03:51:29 EDT
pessulus produces a useless debuginfo package:

$ rpm -qlp
http://fedoraproject.org/extras/development/i386/debug/pessulus-debuginfo-0.10.1-2.fc6.i386.rpm
(contains no files)

http://fedoraproject.org/wiki/Packaging/Debuginfo

I don't see any architecture dependent files in the package, so maybe it should
actually be noarch?  That would require changing it so that it doesn't install
to python_sitearch, but python_sitelib.

If the noarch change is not the right thing to do, the useless debuginfo package
can be disabled by doing a %define debug_package %{nil}
Comment 1 Ville Skyttä 2006-06-27 16:49:55 EDT
ping
Comment 2 Damien Durand 2006-07-04 10:08:48 EDT
Fixed
Comment 3 Ville Skyttä 2006-07-04 11:44:46 EDT
Could you please comment on why changing the package to noarch would not be the
correct fix?  See initial comment in this bug.
Comment 4 Ville Skyttä 2006-08-08 14:12:34 EDT
Ping
Comment 5 Ville Skyttä 2006-09-23 13:57:20 EDT
Damien: ping.  See comment 3.
Comment 6 Damien Durand 2006-10-03 15:12:59 EDT
Fixed, please if is not correct for you, ping me.

Note You need to log in before you can comment on or make changes to this bug.